#!/bin/bash
set -e

source config

LOG=${LOG_DIR}/tt_$1.log
> $LOG # clear the log

export JAVA_TOOL_OPTIONS=-Djline.terminal=jline.UnsupportedTerminal

log info "Throughtput test $1 started." | tee -a $LOG 2>&1
if [ $1 -ne 2 ]; then
  ./run_stream.sh 1 | tee -a $LOG 2>&1 &
  ./run_stream.sh 2 | tee -a $LOG 2>&1 &
  ./run_stream.sh 3 | tee -a $LOG 2>&1 &
  ./run_stream.sh 4 | tee -a $LOG 2>&1 &
else
  ./run_stream.sh 5 | tee -a $LOG 2>&1 &
  ./run_stream.sh 6 | tee -a $LOG 2>&1 &
  ./run_stream.sh 7 | tee -a $LOG 2>&1 &
  ./run_stream.sh 8 | tee -a $LOG 2>&1 &
fi

wait
log info "Throughtput test $1 finished." | tee -a $LOG 2>&1
